# TODO
# - gtk3 possible:   --enable-gtk3           enable to use gtk-3.0 instead of gtk-2.0
Summary:	Keyboard and mouse configurator for LXDE
Name:		lxinput
Version:	0.3.2
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	5bf563d04984ef2a147433f3bdda687b
URL:		http://www.lxde.org/
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool >= 0.40
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXInput is a small program used to configure keyboard and mouse for
LXDE.

%prep
%setup -q

%build
%configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxinput
%{_desktopdir}/lxinput.desktop
%{_datadir}/lxinput
%{_mandir}/man1/lxinput*
%changelog
* Wed Jul 17 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxinput.git;a=log;h=master

* Mon Jun 04 2012 witekfl <witekfl@pld-linux.org> 742ad86
- up to 0.3.2
- verbose build

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 252f753
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> 2cee16c
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> de08932
- up to 0.3.1

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> acdd0c3
- ws cleanup

* Mon Aug 23 2010 Elan Ruusamäe <glen@pld-linux.org> 3c3b381
- autoup to 0.3.0

* Fri Jul 30 2010 Karol Krenski <charles@pld-linux.org> a994d0d
- BR: gettext-devel, intltool, pkgconfig

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> e492b66
- new

